## org.apache.bcel.util
Class ByteSequence

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--java.io.DataInputStream
                        |
                        +--org.apache.bcel.util.ByteSequence

All Implemented Interfaces:
  java.io.DataInput

public final class ByteSequence
extends java.io.DataInputStream

Utility class that implements a sequence of bytes which can be read via the `readByte()' method. This is used to implement a wrapper for the Java byte code stream to gain some more readability.

Version:
  $Id: ByteSequence.java,v 1.1.1.1 2001/10/29 20:00:28 jvanzyl Exp $
Author:
  M. Dahm

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`ByteSequence(byte[] bytes)`

Method Summary
`int` `getIndex()`

Methods inherited from class java.io.DataInputStream
`read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, readUTF, skipBytes`

Methods inherited from class java.io.FilterInputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteSequence

    public ByteSequence(byte[] bytes)

Method Detail

### getIndex

    public final int getIndex()

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.